global loader          ; 
MAGIC_NUMBER equ 0x1BADB002 ; 
FLAGS equ 0x0 ; 
CHECKSUM equ -MAGIC_NUMBER ; 
extern main ;
; (magic number + checksum + flags should equal 0)

section .text           ; 
align 4                 ; 

; Multiboot header
dd MAGIC_NUMBER        ; 
dd FLAGS               ; 
dd CHECKSUM            ;

loader:                 ; 
    mov eax, 0xCAFEBABE ; 
.loop:
    jmp .loop           ; 

; Second part of the code
    global _start       ; 
    extern sum_of_three ; 

_start:
    ; 
    push dword 3         ; 
    push dword 2         ; 
    push dword 1         ;
    call sum_of_three    ; 
    hlt                  ; 

